Skip to main content

Endpoint

POST /oauth/device/code This flow is designed for input-constrained devices to access an API. Use this endpoint to obtain a device code that allows the user to authorize the device.

Request Example

Response Values

Remarks

  • Include offline_access in the scope to obtain a Refresh Token.
  • Use the returned device code to request an access token from the token endpoint.

Token Request Example

Responses

200

A successful request returns an access token.

Error Responses

Learn More

Body Parameters

client_id
string
required
Your application’s ID.
scope
string
The scopes for which you want to request authorization.
audience
string
The unique identifier of the target API you want to access.
resource
string
The identifier of the target API (resource server) you want to access. Must match an API Identifier registered in your Auth0 tenant. Used as an alternative to audience when the tenant’s Resource Parameter Compatibility Profile is set to compatibility.

Response Schema

Response Messages